#
# spec file for package perl-File-MMagic (Version 1.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-File-MMagic
Copyright:    Artistic License
Group:        Development/Libraries/Perl
#Obsoletes:
#Provides:
Autoreqprov:  on
Summary:      Perl modules to guess file types
Version:      1.12
Release:      29
Source:	      File-MMagic-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root
%define perl_sitelib  %(eval "`perl -V:installsitelib`"; echo $installsitelib)

%description
Perl modules to guess file types

Authors:
--------
    Nokubi Takatsugu <knok@daionet.gr.jp>

SuSE series: perl

%prep
%setup -n File-MMagic

%build
perl Makefile.PL
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-File-MMagic
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/File/MMagic
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%dir %{perl_sitearch}/auto/File
%dir %{perl_sitearch}/auto/File/MMagic
%{perl_sitelib}/File/MMagic.pm
%{perl_sitearch}/auto/File/MMagic/.packlist
%doc %{_mandir}/man3/File::MMagic.3pm.gz
%doc ChangeLog README.en README.ja
/var/adm/perl-modules/perl-File-MMagic

%changelog -n perl-File-MMagic
* Wed Aug 15 2001 - bjacke@suse.de
- update to 1.12
* Tue Dec 12 2000 - ro@suse.de
- perllocal.pod may never be in file-list
* Mon Dec 11 2000 - ro@suse.de
- fixed filelist
* Thu Dec 07 2000 - bjacke@suse.de
- initial build of version 1.09
